Skip to main content
GET
/
v3
/
profiles
/
{profile}
/
tiers
/
points
/
by-source
Browse Profile Tier Points by Source
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/tiers/points/by-source
{
  "data": [
    {
      "id": 123,
      "profile_id": "<string>",
      "point_definition_id": 123,
      "value": 123,
      "issued_at": "<string>",
      "accrued_at": "<string>",
      "status": "<string>",
      "source_id": 123,
      "source_type": "<string>",
      "source": null,
      "meta": [
        "<unknown>"
      ],
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.omneo.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

profile
string<uuid>
required

The profile ID

Query Parameters

source
enum<string>
required
Available options:
benefit,
transaction,
transaction_item
identifier_type
enum<string>
required
Available options:
id,
external_id,
receipt_ref
identifier
string
required
page[size]
string

Response

Array of TierPoint

data
TierPoint · object[]
required